%define NAME OpenRGB

Name: openrgb
Version: 0.8
Release: alt1
Url: https://gitlab.com/CalcProgrammer1/OpenRGB
License: %gpl2only
Source: https://gitlab.com/CalcProgrammer1/OpenRGB/-/archive/release_0.8/OpenRGB-release_0.8.tar.gz
#https://openrgb.org/releases/release_0.8/60-openrgb.rules
#Source1: 60-openrgb.rules
Group: System/Configuration/Other
Summary: Open source RGB lighting control that doesn't depend on manufacturer software

%description

BuildRequires: libhidapi-devel pkgconfig libusb-devel libmbedtls13-devel qt5-qtbase qt5-base-devel 
BuildRequires: rpm-macros-qt5 rpm-build-licenses

%prep
%setup -c
%setup -DTn %name-%version/%NAME-release_%version

%build
%qmake_qt5 OpenRGB.pro
%make_build
#make -j$(nproc)

%install

mkdir -p %buildroot/%_udevrulesdir
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_desktopdir
mkdir -p %buildroot/%_iconsdir/hicolor/128x128/apps/ 
mkdir -p %buildroot/%_datadir/metainfo/

cp qt/OpenRGB.desktop %buildroot/%_desktopdir/OpenRGB.desktop
cp qt/OpenRGB.png %buildroot/%_iconsdir/hicolor/128x128/apps/OpenRGB.png
cp qt/org.openrgb.OpenRGB.metainfo.xml %buildroot/%_datadir/metainfo/org.openrgb.OpenRGB.metainfo.xml

#cp SOURCE1  %buildroot/%_udevrulesdir/60-openrgb.rules

#%makeinstall_std
#%make_install install 
%make_install INSTALL_ROOT=%buildroot install 
 
mv %buildroot/usr/lib/udev/rules.d/60-openrgb.rules %buildroot/%_udevrulesdir/60-openrgb.rules

%files
%_udevrulesdir/60-openrgb.rules
%_bindir/openrgb
%_desktopdir/OpenRGB.desktop
%_datadir/metainfo/org.openrgb.OpenRGB.metainfo.xml
%_iconsdir/hicolor/128x128/apps/OpenRGB.png


%changelog
* Tue Nov 29 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 0.8-alt1
- Initial build
